TAILOR(1)

NAME
tailor - tool to keep in sync various kinds of repository

DESCRIPTION

  Usage:

    1. tailor [options] [project ...] 2. tailor test [--help] [...]

OPTIONS

-D, --debug
    Print each executed command. This also keeps temporary files with the upstream logs, that are otherwise removed after use.

-v, --verbose
    Be verbose, echoing the changelog of each applied changeset to stdout.

-c CONFNAME, --configfile=CONFNAME
    Centralized storage of projects info. With this option and no other arguments tailor will update every project found in the config file.

--encoding=CHARSET
    Force the output encoding to given CHARSET, rather then using the user's default settings specified in the environment.

--version
    show program's version number and exit

-h, --help
    show this help message and exit

    Bootstrap options:

-s VC-KIND, --source-kind=VC-KIND
    Select the backend for the upstream source version control VC-KIND. Default is 'cvs'.

-t VC-KIND, --target-kind=VC-KIND
    Select VC-KIND as backend for the shadow repository, with 'darcs' as default.

-R REPOS, --repository=REPOS, --source-repository=REPOS
    Specify the upstream repository, from where bootstrap will checkout the module. REPOS syntax depends on the source version control kind.

-m MODULE, --module=MODULE, --source-module=MODULE
    Specify the module to checkout at bootstrap time. This has different meanings under the various upstream systems: with CVS it indicates the module, while under SVN it's the prefix of the tree you want and must begin with a slash. Since it's used in the description of the target repository, you may want to give it a value with darcs too, even though it is otherwise ignored.

-r REV, --revision=REV, --start-revision=REV
    Specify the revision bootstrap should checkout. REV must be a valid 'name' for a revision in the upstream version control kind. For CVS it may be either a branch name, a timestamp or both separated by a space, and timestamp may be 'INITIAL' to denote the beginning of time for the given branch. Under Darcs, INITIAL is a shortcut for the name of the first patch in the upstream repository, otherwise it is interpreted as the name of a tag. Under Subversion, 'INITIAL' is the first patch that touches given repos/module, otherwise it must be an integer revision number. 'HEAD' means the latest version in all backends.

-T REPOS, --target-repository=REPOS
    Specify the target repository, the one that will receive the patches coming from the source one.

-M MODULE, --target-module=MODULE
    Specify the module on the target repository that will actually contain the upstream source tree.

--subdir=DIR
    Force the subdirectory where the checkout will happen, by default it's the tail part of the module name.

    Update options:

-F FORMAT, --patch-name-format=FORMAT
    Specify the prototype that will be used to compute the patch name. The prototype may contain %(keyword)s such as 'author', 'date', 'revision', 'firstlogline', 'remaininglog'. It defaults to 'Tailorized "%(revision)s"'; setting it to the empty string means that tailor will simply use the original changelog.

-1, --remove-first-log-line
    Remove the first line of the upstream changelog. This is intended to pair with --patch-name-format, when using its 'firstlogline' variable to build the name of the patch.

-N, --refill-changelogs
    Refill every changelog, useful when upstream logs are not uniform.

    VC specific options:

--use-propset
    Use 'svn propset' to set the real date and author of each commit, instead of appending these information to the changelog. This requires some tweaks on the SVN repository to enable revision propchanges.

--ignore-arch-ids
    Ignore .arch-ids directories when using a tla source.

SEE ALSO
The syntax for tailor's configuration file format and a good number of examples are in tailor's README file, which on Debian systems can be found in /usr/share/doc/tailor/README.rst.gz

AUTHOR
tailor was written by Lele Gaifax <lele@nautilus.homeip.net>.

This manual page was written by Vincent Danjean <vdanjean@debian.org>, with the help of help2man for the Debian project (but may be used by others).